## plasma-mobile 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -76,7 +76,6 @@
     KCMUtils
     Package
     JobWidgets
-    WindowSystem
 )
 
 find_package(Plasma CONFIG REQUIRED)
@@ -91,6 +90,9 @@
 find_package(QCoro6 REQUIRED COMPONENTS DBus Qml)
 qcoro_enable_coroutines()
 kde_enable_exceptions()
+
+pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
+pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)
 
 find_package(KF6KirigamiAddons 0.6 REQUIRED)
 find_package(epoxy REQUIRED)
@@ -134,7 +136,6 @@
 add_subdirectory(bin)
 add_subdirectory(components)
 add_subdirectory(containments)
-add_subdirectory(devices)
 add_subdirectory(quicksettings)
 add_subdirectory(kcms)
 add_subdirectory(kded)
@@ -145,8 +146,6 @@
 if(BUILD_TESTING)
     add_subdirectory(tests)
 endif()
-
-install(FILES org.kde.plasma.mobileshell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 find_program(PlasmaOpenSettings plasma-open-settings)
 set_package_properties(PlasmaOpenSettings PROPERTIES
