=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 0.6~),
                kwayland-dev,
-               kwin-dev (>= 4:6.5.3~),
+               kwin-dev (>= 4:6.5.4~),
                libdrm-dev,
                libepoxy-dev,
                libglib2.0-dev,
@@ -35,7 +35,7 @@
                libkf6notifications-dev (>= 6.18.0~),
                libkf6package-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.3~),
+               libkpipewire-dev (>= 6.5.4~),
                libkscreen-dev,
                liblayershellqtinterface-dev,
                libplasma-dev,
