## plasma-mobile 6.5.4+p24.04+vstable+git20251231.0650

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vstable+git20251231.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 06:50:36 +0000

plasma-mobile (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:50 +1000
