## plasma-mobile 6.5.4+p24.04+vstable+git20260109.0353

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vstable+git20260109.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 03:53:46 +0000
