## plasma-mobile 6.5.4+p24.04+vunstable+git20251209.1543

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vunstable+git20251209.1543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 15:43:30 +0000
