## plasma-mobile 6.5.4+p24.04+vunstable+git20251210.0158

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vunstable+git20251210.0158-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 01:58:53 +0000
