## plasma-mobile 6.5.5+p24.04+vstable+git20260130.0921

=== debian/changelog ===
plasma-mobile (6.5.5+p24.04+vstable+git20260130.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:21:40 +0000

plasma-mobile (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:22 +1000
