## plasma-mobile 6.5.5+p24.04+vunstable+git20260130.1406

=== debian/changelog ===
plasma-mobile (6.5.5+p24.04+vunstable+git20260130.1406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:06:20 +0000
