=== debian/changelog ===
plasma-mobile (6.5.5+p24.04+vunstable+git20260204.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:07:48 +0000
