=== components/mobileshell/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
     qml/homescreen/HomeScreen.qml
     qml/homescreen/WallpaperSelector.qml
 
+    qml/navigationpanel/GesturePanel.qml
     qml/navigationpanel/NavigationPanel.qml
     qml/navigationpanel/NavigationPanelAction.qml
     qml/navigationpanel/NavigationPanelButton.qml
@@ -101,7 +102,6 @@
     qml/statusbar/indicators/VolumeIndicator.qml
     qml/statusbar/ClockText.qml
     qml/statusbar/StatusBar.qml
-    qml/statusbar/TaskWidget.qml
 
     qml/widgets/krunner/KRunnerScreen.qml
     qml/widgets/mediacontrols/BlurredBackground.qml
