=== debian/changelog ===
plasma-mobile (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update install files.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:01 +0000

plasma-mobile (6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 13:00:22 +0000
