=== debian/control ===
--- 
+++ 
@@ -11,55 +11,55 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwayland-dev (>= 4:6.5.5~),
-               kwin-dev (>= 4:6.5.5~),
+               kwayland-dev (>= 4:6.6.1~),
+               kwin-dev (>= 4:6.6.1~),
                libdrm-dev,
                libepoxy-dev,
                libglib2.0-dev,
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6bluezqt-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6declarative-dev (>= 6.18.0~),
-               libkf6globalaccel-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6modemmanagerqt-dev (>= 6.18.0~),
-               libkf6networkmanagerqt-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6package-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.5~),
-               libkscreen-dev (>= 4:6.5.5~),
-               liblayershellqtinterface-dev (>= 6.5.5~),
-               libplasma-dev (>= 6.5.5~),
-               libplasma5support-dev (>= 4:6.5.5~),
-               libplasmaactivities-dev (>= 6.5.5~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6bluezqt-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6declarative-dev (>= 6.22.0~),
+               libkf6globalaccel-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6itemmodels-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6modemmanagerqt-dev (>= 6.22.0~),
+               libkf6networkmanagerqt-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6package-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkpipewire-dev (>= 6.6.1~),
+               libkscreen-dev (>= 4:6.6.1~),
+               liblayershellqtinterface-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.1~),
+               libplasma5support-dev (>= 4:6.6.1~),
+               libplasmaactivities-dev (>= 6.6.1~),
                libudev-dev,
                libwayland-dev,
                libxcb1-dev,
-               milou (>= 4:6.5.5~),
+               milou (>= 4:6.6.1~),
                pkg-kde-tools,
                pkgconf,
-               plasma-nano (>= 6.5.5~),
-               plasma-nm (>= 4:6.5.5~),
-               plasma-pa (>= 4:6.5.5~),
+               plasma-nano (>= 6.6.1~),
+               plasma-nm (>= 4:6.6.1~),
+               plasma-pa (>= 4:6.6.1~),
                plasma-wayland-protocols,
-               plasma-workspace-dev (>= 4:6.5.5~),
+               plasma-workspace-dev (>= 4:6.6.1~),
                qcoro-qt6-dev,
-               qml6-module-org-kde-pipewire (>= 6.5.5~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.9.0~),
-               qt6-sensors-dev (>= 6.9.0~),
-               qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-private-dev (>= 6.9.0~),
+               qml6-module-org-kde-pipewire (>= 6.6.1~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-declarative-private-dev (>= 6.10.0~),
+               qt6-sensors-dev (>= 6.10.0~),
+               qt6-wayland-dev (>= 6.10.0~),
+               qt6-wayland-private-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-mobile
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
